=== debian/changelog ===
debian-cd (2.2.25) unstable; urgency=low

  [ Joey Hess ]
  * Remove net-drivers access floppy from full CD images.

  [ Frans Pop ]
  * Consistently change location for installation guide to /doc/manual
    on the CD.
  * Update author (and timestamp) in README.
  * Colin Watson has taken over daily d-i builds for PowerPC.

  [ Steve McIntyre ]
  * Fix to tools/grab_md5: when building the md5-list, DO NOT use the
    "current" symlink in the d-i directories - that causes jigdo problems
    later on. Use the real dirs (as dated) instead.

  [ Frans Pop ]
  * Remove exclusion of openbsd-inetd for Etch as it is now the prefered
    dependency from netbase. For some reason debootstrap requires both inetd
    packages, so don't exclude netkit-inetd.
    Makes full/netinst images have base_installable again.
  * Thiemo Seufer has resumed building images for mips.

  [ Colin Watson ]
  * Only tell mkisofs to use the prep initrd if it's available (which it
    currently isn't for 2.6.16).

  [ Steve McIntyre ]
  * Fix to tools/grab_md5: reset the file and dir name after each source
    package is finished with.
  * Add extra debug in tools/boot/etch/boot-i386

  [ Joey Hess ]
  * ths has taken over mipsel builds
  * Add sudo to generate_di+k_list, it's needed for installs w/o a root user.
  * Add support to boot/etch/boot-i386 for adding gtk images. If the
    isolinux files include .with26+gtk, include gtk initrd along with the
    2.4 kernel. If .withgtk, include gtk initrd along with the default
    (presumably 2.6) kernel.
  * i386 has stopped building because the el-torito boot images were turned
    off (due to size issues). Fix this by not failing if the el-torito images
    arn't there.
  * d-i doesn't include bast images anymore, drop from boot-arm.
  * Update task.list adding more language tasks.
  * Update task-essential-etch build recipe to exclude the kde-desktop
    task since it won't fit on the CD.
  * Move kde-desktop to end of task.list for same reason.
  * Update task-full-etch to current tasksel.

  [ Steve McIntyre ]
  * Add better GNU/kFreeBSD support in setting ARCH in CONF.sh.
    Closes: #327470

  [ Joey Hess ]
  * Applied patch from smarenka to add 2.6 kernels for m68k, also 2.4 kernels
    for appropriate m68k subarches, and also emile, amiboot, atari-bootstrap,
    and initramfs-tools for m68k.

  [ Steve McIntyre ]
  * Add extra arm kernels and more utilities into the task lists.
    Closes: #373225

  [ Joey Hess ]
  * Correct url to the amd64 dailys.
  * Add gtk initrd to amd64 images if available.
  * Add autorun file to amd64 images if there's a README.html, same as for
    i386.
  * Add pcmciautils-udeb to udeb_include lists; something needs to pull it
    in and like pcmcia-cs-udeb its priority won't.

  [ Frans Pop ]
  * Wouter Verhelst has taken over daily d-i builds for powerpc.
  * AMD64 d-i images are now available from people.d.o.
  * Add cryptsetup to first CD; needed for installations using encrypted
    partitions.

  [ Joey Hess ]
  * Add 686 kernels, since the netinst CD is much larger and can now easily
    fit them and this makes the CD much more attractive for many users.

  [ Frans Pop ]
  * Drop 2.4 support for sparc64; switch from 2.4 to 2.6 for sparc32.
  * Exclude 2.4 kernel udebs for sparc and s/390 (s/390 has switched to 2.6).
  * Include only 2.6 kernel images for sparc.
  * Update to libdevmapper1.02.
  * No need to include yaird for m68k.
  * Drop initrd-tools for ia64, powerpc and sparc.
  * Include initramfs-tools instead of yaird for ia64 and sparc.
  * No initramfs generator needed for mips, mipsel and m68k.

  [ Steve McIntyre ]
  * Switch from 2.4 to 2.6 kernels for arm, mips and mipsel.
  * Switch from yaird over to initramfs-tools for arm.
  * Much simplified generate_di+k_list - mips and mipsel don't need script
    fragments any more.
  * Added elilo for i386.

  [ Joey Hess ]
  * Update task-essential-etch.
  * Update task.list to include all the new language tasks.
  * Update task-full-etch.

  [ Steve McIntyre ]
  * Mips has dropped r5k-ip22 kernels and gained r5k-ip32. And r5k-ip32
    doesn't have CD boot support yet, so don't attempt to use the cdrom
    boot image.

  [ Frans Pop ]
  * There are no "tape" images with 2.6.16 for S/390.
  * Exclude floppy and el-torito images for i386 as they are not being built.
  * Update exclude-udebs lists.
  * Exclude 2.4.27 kernel packages from CD1 for sparc and s/390.
  * Exclude 2.6.15 kernel header and image packages from CD1.
  * Exclude 2.6.16 xen and vserver kernel  packages from CD1.
  * Update generate_di+k_list to include libsysfs2.
  * Update popularity contest data for etch.
  * Update generate_di+k_list to include libdiscover1.

  [ Petter Reinholdtsen ]
  * Add more features to get_diskusage.pl, making it easier to track
    dependencies and rejected packages.
  * Correct splash screen generation for sarge and etch, making sure the
    correct background colour (black) is selected.

  [ Steve McIntyre ]
  * Try to fix the "unofficial development version" bug on official CDs.

  [ Joey Hess ]
  * Include libc6-i686 in generate_di+k_list, base-installer will
    soon begin installing this onto machines that can use it.
    (To regain some space, libc6-amd64 will soon stop being standard priority,
    and drop off.)
  * On sparc, include libc6-sparcv9 and libc6-sparcv9b, which base-installer
    will also pull in.

  [ Colin Watson ]
  * Cope with cdrom64 -> cdrom renaming for powerpc64 subarchitecture.

  [ Sven Luther ]
  * [powerpc] Added a rescue option to yaboot.conf as well as the pegasos boot
    script.

  [ Colin Watson ]
  * Remove obsolete devfs=mount,dall and init=/linuxrc options from
    yaboot.conf and pegasos boot script.
  * Remove init=/linuxrc from hppa.

  [ Otavio Salvador ]
  * Applied patches that are being in use at O.S. Systems and that are
    useful to others:
    - allow to use different name for final iso image;

