=== debian/changelog ===
debian-cd (3.0.2) unstable; urgency=high

  [ Steve McIntyre ]
  * Remove mention of m68k in data/etc/README.html.in.
  * Other small wording changes and fixes in the README file.
  * Fix up the Debian_etch, Debian_etch-kde and Debian_etch-xfce
    to use debian-installer+kernel-etch rather than -sid. Closes: #416551.
  * Fix up boot-alpha to calculate the size of the ramdisk needed, rather
    than hard-coding to 16384. Also slight refactoring.

  [ Frans Pop ]
  * Add initrd-tools to forcd1 as it is needed for Sarge to Etch upgrades.

  [ Steve McIntyre ]
  * YA "last for etch" upload.

 -- Steve McIntyre <93sam@debian.org>  Wed, 28 Mar 2007 22:57:41 +0100

debian-cd (3.0.1) unstable; urgency=high

  [ Frans Pop ]
  * Remove SRCEXCLUDE which is no longer supported.

  [ Steve McIntyre ]
  * Improve commenting in CONF.sh - make it clear that if you're making
    a netinst, you need to set TASK as well as INSTALLER_CD.

  [ Joey Hess ]
  * Updated tasks for tasksel 2.66.
  * Use the 64 bit autodetection feature of syslinux 3.31-2, if available,
    to default to the 64 bit target in multiarch isos.
  * Updated isolinux.bin to the version from syslinux 3.31-2.
  * Temporarily disable use of 64 bit detection due to syslinx's bug #410729.

  [ Steve McIntyre ]
  * Updates to update-cd:
    + Updates for sarge r5
    + Add support for update DVDs
    + Change parameters used - argument should now be cd or dvd rather than
    + arches to run

  [ Raphael Hertzog ]
  * Don't rely on PATH to find make_disc_trees.pl, start_new_disc, add_files
    and set_mkisofs_opts.
  * Make sure "make mirrorcheck" has been called before "make images".

  [ Steve McIntyre ]
  * Cope with rolling back more than one package in case we go well
    over the disc size
  * Use a multiplier of 1.2 for HFS space - overkill, but it fixes
    the multi-arch DVD overflowing. Also log if we're doing HFS.
  * Tweak where we look for s390 boot files to make the weeklies work again.

  [ Joey Hess ]
  * Updated isolinux.bin to the version from syslinux 3.31-3.
  * Re-enable use of 64 bit detection, fixed now.

  [ Raphael Hertzog ]
  * Fix make_disc_trees.pl to not clash on unexcluded packages which contains
    regex special characters. Closes: #413506

  [ Frans Pop ]
  * forcd1-etch: remove network-console-config (not in Etch).
  * forcd1-etch: add kernel-package and module-assistant.

  [ Steve McIntyre ]
  * Fix path for creating splash image in boot-amd64. Closes: #413850.
  * Add the DEFAULT64 handling to boot-amd64 as well as boot-i386; needed
    in both so that things are setup the same regardless of the order in
    which the boot-$arch scripts are called
  * Fix the extra_image() function in both boot-i386 and boot-amd64 to make
    sure we don't end up overwriting extra images from one arch with those
    from the other. Now the multi-arch netinst should work for the installgui
    target for both arches
  * Check in current working versions of the tasks files.
  * Fix a silly bug in start_new_disc that would break on discs with
    local packages. Thanks to Ronny Aasen for the patch. Closes: #414818
  * Final *final* upload for etch; urgency high to get through the
    freeze.

 -- Steve McIntyre <93sam@debian.org>  Tue, 13 Mar 2007 23:36:44 +0000

debian-cd (3.0.0) unstable; urgency=medium

  * Support now added for multi-arch CDs/DVDs, including mixed
    binary/source discs. Multi-arch discs should be bootable on those
    multiple arches, modulo boot-sector clashes. Extra support added
    in boot-i386 and boot-amd64 to make the 2 main arches happily
    co-exist.

  * Disc sizing is now much more intelligent - sizes are defined
    depending on the disk type chosen at the start, and discs are now
    filled exactly to those sizes while files are added rather than
    the old up-front guessing method. Equally, the metadata on the
    disc (Packages, Packages.gz, Sources, Sources.gz, md5sums.txt) is
    generated as much as possible while this is happening to make the
    sizing code incredibly accurate. Using this method of disc sizing
    means that customising discs should be much easier/safer - either
    add custom contents at the start and debian-cd will fill the
    remainder of the disc, or afterwards roll back the packages on the
    disc and add extras later.

  * Source is now treated as (almost) just another arch, with most of
    the special casing for source hidden internally. If asking for
    source-only discs, they will simply be built using all the
    available sources. If combined with other arches, the sources will
    automatically be chosen to match the binary packages. Meeting GPL
    requirements was never so easy!

  * Removed lots of old cruft to clean up the codebase:
    + non-US support
    + woody support
    + lots of old support scripts that have been made redundant
    + significantly simpler Makefile, much easier to follow
    + old boot-$ARCH.calc files for estimating boot-file sizes are now
      (obviously) obsolete and therefore gone

  Other changes:

  [ Petter Reinholdtsen ]
  * Update tools/boot/*/boot-amd64 to use the correct isolinux
    splash image settings, and to insert $KERNEL_PARAMS correctly into
    isolinux.cfg.  Based on patches already implemented in boot-i386.

  [ Joey Hess ]
  * Remove 2.4 kernels from generate_di+k_list for i386.
  * Remove 2.2 kernel for mac from generate_di+k_list, as it's no longer in
    the archive.
  * Deal with new xfce-desktop task.

  [ Steve McIntyre ]
  * Merge patch from Petter to allow override of the default boot choice
    in syslinux using the ISOLINUX_DEFAULT config option. Closes: #393229

  [ Joey Hess ]
  * Include brltty in generate_di+k_list.
  * Increase alpha hardcoded ramdisk_size to 20 mb, 16 is too small now.

  [ Frans Pop ]
  * Remove boot parameters that are no longer needed after switch to initramfs
    initrds for sparc and hppa.
  * tasks/exclude-etch: clean out obsolete entries.

