=== debian/control ===
Source: debian-cd
Section: admin
Priority: extra
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Uploaders: Raphael Hertzog <hertzog@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 4)
Build-Depends-Indep: tofrodos | sysutils
Standards-Version: 3.6.1.0
XS-Vcs-Svn: svn://svn.debian.org/debian-cd/trunk

Package: debian-cd
Architecture: all
Depends: perl, cpp, libdigest-md5-perl, tofrodos | sysutils, apt (>= 0.3.11.1), make, mkisofs | genisoimage, lynx, grep-dctrl, bc, libcompress-zlib-perl
Recommends: hfsutils, netpbm, syslinux
Description: Tools for building (Official) Debian CD set
 Debian-cd is the official tool for building Debian CD set since the potato
 release. It was formerly called YACS (for Yet Another CD Script).
 .
 Its goal is to facilitate the creation of customized Debian CD set.
