## debian-cd 3.0.3

=== Makefile ===
--- 
+++ 
@@ -58,11 +58,13 @@
 merge_package_lists=$(BASEDIR)/tools/merge_package_lists
 update_popcon=$(BASEDIR)/tools/update_popcon
 update_tasks=$(BASEDIR)/tools/update_tasks
+grab_source_list=$(BASEDIR)/tools/grab_source_list
 
 BDIR=$(TDIR)/$(CODENAME)
 ADIR=$(APTTMP)
 DB_DIR=$(BDIR)/debootstrap
 
+export DEBOOTSTRAP_DIR := $(DB_DIR)/usr/lib/debootstrap
 export PATH := $(DB_DIR)/usr/sbin:$(PATH)
 
 LATEST_DB := $(shell ls -1tr $(MIRROR)/pool/main/d/debootstrap/debootstrap*all.deb | tail -1)
@@ -137,14 +139,14 @@
 $(DB_DIR): $(LATEST_DB)
 	@rm -rf $(DB_DIR)
 	@dpkg -x $(LATEST_DB) $(DB_DIR)
-# Make sure unstable/sid points to testing/etch, as there is no build
+# Make sure unstable/sid points to testing/lenny, as there is no build
 # rule for unstable/sid.
 unstable-map:
 	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
-		ln -s etch $(BASEDIR)/data/sid ; \
+		ln -s lenny $(BASEDIR)/data/sid ; \
 	fi
 	$(Q)if [ ! -d $(BASEDIR)/tools/boot/sid ] ; then \
-		ln -s etch $(BASEDIR)/tools/boot/sid ; \
+		ln -s lenny $(BASEDIR)/tools/boot/sid ; \
 	fi
 
 #################
@@ -350,7 +352,7 @@
 		ARCH=$$ARCH $(list2cds) $(BDIR)/list $(SIZELIMIT); \
 	done
 	$(Q)if [ "$(SOURCEONLY)"x = "yes"x ] ; then \
-		awk '{printf("source:%s\n",$$0)}' $(BDIR)/list > $(BDIR)/packages; \
+		$(grab_source_list) $(BDIR) $(ADIR) $(BDIR)/list $(BDIR)/packages; \
 	else \
 		$(merge_package_lists) $(BDIR) $(ADIR) "$(ARCHES)" $(BDIR)/packages; \
 	fi
