=== debian/changelog ===
debian-cd (3.0.3) unstable; urgency=low

  [ Steve McIntyre ]
  * In start_new_disc, cope with $DEBVERSION containing spaces.
  * Only put the release notes and installation guide on disc#1.
  * In list2cds, don't add udebs in the final COMPLETE run -
    they're no use there.
  * Add some munging on the Release files if we're not building
    for "testing". Used in the etch release, and I'll back it out shortly.
  * Copied etch files to lenny ready for the new testing work.

  [ Frans Pop ]
  * Clean up: remove files for potato and woody releases.

  [ Steve McIntyre ]
  * Removed m68k from the list of arches in generate_di+k_list and
    generate_di_list to reduce warnings.
  * Updated comments in update-cd; potato was a while ago!
  * It seems the changes for 3.0.0 completely broke extranonfree
    support. Re-add it.

  [ Frans Pop ]
  * Dann Frazier has taken over from Jeff Bailey for daily IA64 D-I builds.
  * General update the template for the README file; explain the difference
    between small and full images better. Closes: #418195.

  [ Steve McIntyre ]
  * Re-added DEBOOTSTRAP_DIR definition in the Makefile
  * Don't hack with the Release file unless EARLY_BUILD_HACK=1.
    Closes: #423463

  [ Joey Hess ]
  * Remove pcmcia-cs-udeb from udeb_include; we don't need this udeb with
    modern kernels. (We didn't need it for etch either actually.)

  [ Steve McIntyre ]
  * Fix for multi-arch CDs including source - the extranonfree update
    broke the source output

  [ Frans Pop ]
  * Include both dhcp-client-udeb and dhcp3-client udeb while we're
    transitioning in the installer.
  * Exclude live-installer, simple-cdd, pwgen and nbd udebs as they are
    currently not used in Debian Installer.
  * Remove support for sparc32 as it is no longer supported for Lenny.

  [ Steve McIntyre ]
  * Update unstable-map: in the Makefile - use lenny rather than etch

  [ Petter Reinholdtsen ]
  * Update tools/grab_md5 to use the same variable name (SUITE->CODENAME)
    as the rest of the code, to reduce confusion.

  [ Joey Hess ]
  * Drop old with26 cruft for lenny.
  * Update lenny's isolinux.bin to the one from syslinux 3.51-1
  * Parse isolinux.cfg case-insensatively.
  * Merge boot-i386 and boot-amd64 into boot-x86.

  [ Otavio Salvador ]
  * Fix extranonfree support to be backward compatible with previous
    behaviour (default to false)
  * Create dpkg status file before calling APT

  [ Steve McIntyre ]
  * Fix boot-x86 shell syntax so it runs
  * Further logic fixing in boot-x86: amd64 should now work
  * Temporary fixup for daily lenny sparc builds - use older image locations
    if new ones not available.
  * Remove Build-Dep-Indep on sysutils. Closes: #437497
  * In build.sh, use $DI_CODENAME for installer task files rather than
    $CODENAME - allows for sid builds more easily etc.	
  * Recompress the Packages files separately just before generating
    Release files. Closes: #423835, thanks to fjp for the patch.
  * Check if required base packages might also be supplied by a local
    repository too, not just the main distribution. Closes: #425600
  * Merge update-cd changes across from the version in etch.

 -- Steve McIntyre <93sam@debian.org>  Sat, 01 Sep 2007 23:58:42 +0100
