=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian CD Group <debian-cd@lists.debian.org>
 Uploaders: Raphael Hertzog <hertzog@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 4)
-Build-Depends-Indep: tofrodos | sysutils
+Build-Depends-Indep: tofrodos
 Standards-Version: 3.6.1.0
 XS-Vcs-Svn: svn://svn.debian.org/debian-cd/trunk
